Bug 126886 - gnbd_import failing on unlinking nonexistent device file
Summary: gnbd_import failing on unlinking nonexistent device file
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: gfs (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ben Marzinski
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-28 19:26 UTC by Derek Anderson
Modified: 2010-01-12 02:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-14 19:52:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Derek Anderson 2004-06-28 19:26:02 UTC
Description of problem:

If you run gnbd_import without the device /dev/gnbd_ctl, the tool
errors out trying to unlink this nonexistent file. 
cluster/gnbd/tools/gnbd_import/gnbd_import.c: get_dev() needs to
handle this case better.

[root@link-12 root]# modprobe gnbd
[root@link-12 root]# gnbd_import
gnbd_import: ERROR cannot remove /dev/gnbd_ctl : No such file or directory
[root@link-12 root]# ls -l /dev/gnbd*
ls: /dev/gnbd*: No such file or directory
[root@link-12 root]#

Version-Release number of selected component (if applicable):
[root@link-12 gnbd_import]# gnbd_import -V
gnbd_import DEVEL.1088451293 (built Jun 28 2004 14:41:24)
Copyright (C) Red Hat, Inc.  2004  All rights reserved.

How reproducible:


Steps to Reproduce:
1. modprobe gnbd
2. gnbd_import
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Ben Marzinski 2004-06-28 19:59:38 UTC
There was a check in gnbd_import that tried to remove a file if it
wasn't present.  It no longer does this, as it was pretty obviously
not correct. The update has been checked in to cvs on s.r.c

Comment 2 Dean Jansa 2004-07-14 19:52:36 UTC
Verified 


Note You need to log in before you can comment on or make changes to this bug.